<div class="fields-wrap dsa-field-wrap">
    <form [formGroup]="gstReportFormGroup">
        <div class="page-wrap">
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericOnly [upperOnly]="true" maxlength="15" placeholder="GSTIN*" formControlName="gstin" type="text" >
                            <mat-error *ngIf="gstReportFormGroup.get('gstin').errors && gstReportFormGroup.get('gstin').errors.gstIn && gstReportFormGroup.get('gstin').errors.gstIn.required">Please enter GSTIN</mat-error>
                            
                            <mat-error *ngIf="gstReportFormGroup.get('gstin').errors && gstReportFormGroup.get('gstin').errors.gstIn && gstReportFormGroup.get('gstin').errors.gstIn.pattern">Please enter valid GSTIN</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                Enter your 15 digit GSTIN assigned to you
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsOnly maxlength="30" placeholder="GST User ID*" formControlName="gstUserId" type="text" >
                            <mat-error *ngIf="gstReportFormGroup.get('gstUserId').errors && gstReportFormGroup.get('gstUserId').errors.required">Please enter GST User Id</mat-error>
                            <a href="javascript:void(0);" (click)="gstGenerateOtp()" *ngIf="showSendOtp" class="field-right-link otp-link">Send OTP</a>
                            <a href="javascript:void(0);" (click)="resendOTP()" *ngIf="!showSendOtp" class="field-right-link otp-link">Resend OTP</a>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-auto">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly maxlength="6" placeholder="OTP*" formControlName="otp" type="text" >
                            <mat-error *ngIf="gstReportFormGroup.get('otp').errors && gstReportFormGroup.get('otp').errors.required">Please enter OTP</mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <div class="btn-wrap">
            <button mat-button type="submit" (click)= "submitGstForm()" [disableRipple]="true">Login</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
            <p *ngIf="userService.isCustomerJourney()" class="otp_verify_links blue-link"><a href="javascript:void(0);" (click)="cancelDialog()" class="links">Cancel</a></p>
        </div>
    </form>
</div>